FreightCake
API Reference

Addresses

Reusable, validated address book entries.

GET/api/v1/addresses

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Query Parameters

limit?integer

Page size. Defaults to a server-chosen value; maximum 100.

Range1 <= value <= 100
starting_after?string

Cursor: return records after this id.

ending_before?string

Cursor: return records before this id.

customer_id?integer

Filter by customer.

Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/addresses"
{  "object": "list",  "data": [    {      "object": "address",      "id": 0,      "company": "string",      "contact": "string",      "address": "string",      "city": "string",      "state": "string",      "zip": "string",      "phone": "string",      "email": "string",      "created_at": "string"    }  ],  "has_more": true,  "url": "/api/v1/addresses"}
POST/api/v1/addresses

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/addresses" \  -H "Content-Type: application/json" \  -d '{    "address": "string",    "city": "string",    "state": "st",    "zip": "string"  }'
{  "object": "address",  "id": 0,  "company": "string",  "contact": "string",  "address": "string",  "city": "string",  "state": "string",  "zip": "string",  "phone": "string",  "email": "string",  "created_at": "string"}
GET/api/v1/addresses/{id}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Path Parameters

id*string

Resource identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/addresses/string"
{  "object": "address",  "id": 0,  "company": "string",  "contact": "string",  "address": "string",  "city": "string",  "state": "string",  "zip": "string",  "phone": "string",  "email": "string",  "created_at": "string"}
PATCH/api/v1/addresses/{id}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Path Parameters

id*string

Resource identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/addresses/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "address",  "id": 0,  "company": "string",  "contact": "string",  "address": "string",  "city": "string",  "state": "string",  "zip": "string",  "phone": "string",  "email": "string",  "created_at": "string"}
DELETE/api/v1/addresses/{id}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Path Parameters

id*string

Resource identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/addresses/string"
{  "object": "address",  "id": 0,  "deleted": true}
POST/api/v1/addresses/validate

Normalises and verifies an address without persisting it.

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/addresses/validate" \  -H "Content-Type: application/json" \  -d '{    "address": "string",    "city": "string",    "state": "st",    "zip": "string"  }'
{  "object": "address_validation",  "valid": true,  "normalized": {    "object": "address",    "id": 0,    "company": "string",    "contact": "string",    "address": "string",    "city": "string",    "state": "string",    "zip": "string",    "phone": "string",    "email": "string",    "created_at": "string"  },  "messages": [    "string"  ]}